> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/unlock-rdmrepository.md).

# Unlock-RDMRepository

### Synopsis

Déverrouiller le coffre à charger

### ***Syntaxe***

#### \_\_AllParameterSets

```
Unlock-RDMRepository [-Password] <PSPassword> [<CommonParameters>]
```

### Description

Déverrouiller le coffre pour le charger. En cas d'échec, l'utilisateur sera invité à saisir le mot de passe.

### ***Exemples***

#### Exemple 1

```powershell
PS C:\> Unlock-RDMRepository -Password 'pa$sWord!'
PS C:\> Get-RDMDataSource -Name 'myWorkspaceWithOnlyProtectedVaults' | Set-RDMCurrentDataSource
```

Déverrouiller le dernier coffre utilisé dans l'espace de travail nommé 'myWorkspaceWithOnlyProtectedVaults' avant d'y accéder.

#### Exemple 2

```powershell
PS C:\> Unlock-RDMRepository -Password (ConvertTo-SecureString -AsPlainText -String 'pa$sWord!')
PS C:\> Get-RDMVault -Name 'myLockedVault' | Set-RDMCurrentVault
```

Déverrouiller le coffre 'myLockedVault' avant d'y accéder.

### ***Paramètres***

#### -Password

Mot de passe pour déverrouiller le coffre. Accepte une chaîne de caractères ou un SecureString.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSPassword
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette cmdlet prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### ***Notes***

Pour plus d'informations, tapez "Get-Help Unlock-RDMRepository -detailed". Pour des informations techniques, tapez "Get-Help Unlock-RDMRepository -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/unlock-rdmrepository.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
